import requests
from bs4 import BeautifulSoup

def get_news(url):
    # Obtén la página
    response = requests.get(url)
    # Parsea la página con BeautifulSoup
    soup = BeautifulSoup(response.text, 'html.parser')

    # Encuentra los artículos (en este caso, los artículos de noticias están en divs con la clase 'gs-c-promo-body')
    articles = soup.find_all('div', class_='gs-c-promo-body')

    news = []

    # Itera sobre los artículos y extrae el texto
    for article in articles:
        headline = article.find('h3').text
        summary = article.find('p').text
        news.append((headline, summary))

    return news




def save_to_txt(news, filename):
    with open(filename, 'w') as f:
        for headline, summary in news:
            f.write(headline + '\n')
            f.write(summary + '\n')

